%define oname   ModemManager

%define pppver	%(rpm -q --qf "%{VERSION}" ppp)
%define pppddir	%{_libdir}/pppd/%{pppver}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Mobile broadband modem management service
Name:		modemmanager
Version:	0.5.1.97
Release:	%mkrel 1
Source:		http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Configuration/Networking
URL:		http://www.gnome.org/projects/NetworkManager/
BuildRequires:	intltool
BuildRequires:	ppp-devel
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.86
BuildRequires:	pkgconfig(glib-2.0) >= 2.18
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.95
Requires:	usb_modeswitch

%description
The ModemManager service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x \
	--enable-more-warnings=yes \
	--with-udev-base-dir=/lib/udev \
	--with-tests=yes \
	--with-docs=yes \
	--with-polkit=yes \
	--disable-static \
	--with-pppd-plugin-dir=%{pppddir}

%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

# we don't have a devel pkg
rm -f %{buildroot}%{_includedir}/mm/*.h

# only used by test suite
rm -f %{buildroot}%{_libdir}/pppd/%{pppver}/mm-test-pppd-plugin.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.modem-manager.policy
%{_sbindir}/modem-manager
%dir %{_libdir}/%{oname}
%{_libdir}/%{oname}/libmm-plugin-*.so
/lib/udev/rules.d/*.rules
%{_datadir}/icons/hicolor/22x22/apps/modem-manager.png



%changelog

* Mon Feb 27 2012 ovitters <ovitters> 0.5.1.97-1.mga2
+ Revision: 215590
- new version

* Tue Jan 10 2012 wally <wally> 0.5.1.95-1.mga2
+ Revision: 194560
- new version 0.5.1.95
- clean BRs
- clean .spec a bit
- new version 0.5
- enable polkit support
- clean .spec

* Tue Mar 01 2011 eandry <eandry> 0.5-0.20110228.2.mga1
+ Revision: 61978
- fix Requires

* Mon Feb 28 2011 eandry <eandry> 0.5-0.20110228.1.mga1
+ Revision: 61873
- Test disabling parallel make
- Test disabling make check
- New git snapshot 20110228
  BR polkit-devel
- use provided .autogen.sh, autoreconf fails
- update files list
- Requires usb-modeswitch
- BR ppp-devel
- clean spec
- imported package modemmanager


* Sun Jul 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.4-1mdv2011.0
+ Revision: 554818
- fix unpackaged files
- buildrequires intltool
- buildrequires gettext-devel
- new version

* Wed Jan 20 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3-1mdv2010.1
+ Revision: 494267
- Fix BuildRequires
- Update to new version 0.3

* Wed Nov 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2-0.20090826.1mdv2010.1
+ Revision: 464873
- Import package based on Fedora's package
- create modemmanager

